Page MenuHomePhabricator

Get GapFinder into translatewiki.net
Closed, ResolvedPublic

Description

When the user chooses a destination language, we should present the UI in the destination language to the user. This means translating options such as "Translate", "Create from scrach", etc. to other languages.

We will do this via translatewiki.net. To do this, we need to the following items:

  • Make localization files available in JSON. (with message documentation)
  • Give Niklas and Siebrand commit access to the repo to pull and push updates.
  • Move repo to wikimedia-research github organization

To set up the project in translatewiki.net:

[recommend.wmflabs.org GapFinder] is a tool that recommends potential articles to be created in Wikipedia.

[recommend.wmflabs.org GapFinder] is a tool that can be used to receive recommendations about potential Wikipedia articles that exist in a language but missing in another language to be created. Contact [[User:LZia_(WMF)|LZia_(WMF)]] for any questions and file a bug in the [https://phabricator.wikimedia.org/maniphest/task/edit/form/1/?projects=increasing-content-coverage #increasing-content-coverage] component.

Details

Event Timeline

leila created this task.Mar 4 2016, 5:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2016, 5:54 PM
leila added a comment.Mar 8 2016, 7:44 PM

@schana if you could please provide me with the list of phrases/words that need to be translated, I can start working on this task.

@leila Would it be better to get the i18n framework in place before making the list so the translations could be added using source control? If not, I think I have (hopefully) every phrase copied to a text file (

).

leila added a comment.Mar 15 2016, 6:14 PM

That'd be great, @schana. What needs to be done for us to get the i18n framework?

riot js offers some help with this: https://www.npmjs.com/package/riot-i18n

To do the actual translation itself, you may want to leverage translate wiki, but I'm not sure how you would upload the riot i18n dictionary to translate wiki, I've never done it.

We have a contributor willing to help translate to Brazilian Portuguese:

https://github.com/ewulczyn/translation-recs-app/issues/36

leila added a comment.Apr 28 2016, 4:01 PM

That's great @schana. Give me half a day to figure out if we can set this up in translate wiki for others to use as well.

leila added a comment.Apr 28 2016, 6:38 PM

@schana can we have this list you created updated?

leila added a subscriber: siebrand.Apr 28 2016, 6:38 PM
leila moved this task from Next Up to in-progress on the GapFinder board.May 2 2016, 9:57 PM
leila assigned this task to schana.May 2 2016, 10:01 PM
leila updated the task description. (Show Details)
leila added subscribers: Nikerabbit, ellery, Cervisiarius.

riot js offers some help with this: https://www.npmjs.com/package/riot-i18n

To do the actual translation itself, you may want to leverage translate wiki, but I'm not sure how you would upload the riot i18n dictionary to translate wiki, I've never done it.

You may want to use https://github.com/wikimedia/jquery.i18n which uses mediawiki i18n file format and message syntax, used in VisualEditor, and Universal Language Selector when they were implemented independent of mediawiki.

I've added localization files https://github.com/ewulczyn/translation-recs-app/tree/master/api/static/i18n, but have yet to utilize them in the app itself.

@ellery I don't have the ability to grant commit access. Would you want to move the project to https://github.com/wikimedia-research? It may be a better long-term location for it.

@schana feel free to do what you think is best

This task has no associated component and it's not clear what repository/code/strings/whatever it is about.

leila added a comment.May 3 2016, 10:00 PM

I've added localization files https://github.com/ewulczyn/translation-recs-app/tree/master/api/static/i18n, but have yet to utilize them in the app itself.

Thanks.

@ellery I don't have the ability to grant commit access. Would you want to move the project to https://github.com/wikimedia-research? It may be a better long-term location for it.

I added this to the staff meeting's agenda to chat about it f2f. @schana given that Ellery is fine either way, please do what works best. We don't have to wait until Thursday to make that decision.

schana renamed this task from Translate the UI to all languages to Get GapFinder into TranslateWiki.May 10 2016, 6:47 PM
schana updated the task description. (Show Details)
leila reassigned this task from schana to ellery.May 10 2016, 7:12 PM

@ellery can you transfer the repo to https://github.com/wikimedia-research please?

ellery updated the task description. (Show Details)May 10 2016, 9:01 PM
leila added a comment.May 10 2016, 9:41 PM

Thank you, Ellery! :)

@schana the move is done. I'm assigning this task back to you, for you to take it from here.

leila reassigned this task from ellery to schana.May 10 2016, 9:41 PM
Nemo_bis renamed this task from Get GapFinder into TranslateWiki to Get GapFinder into translatewiki.net.May 11 2016, 6:12 AM
schana updated the task description. (Show Details)May 11 2016, 8:54 AM

I've given access to the repo to @siebrand and @Nikerabbit (in the form of a team invite on github)

schana removed schana as the assignee of this task.May 20 2016, 6:07 PM
leila claimed this task.Jun 7 2016, 6:34 PM
leila removed leila as the assignee of this task.Jun 15 2016, 1:29 PM
leila updated the task description. (Show Details)
leila added a comment.Jun 15 2016, 1:31 PM

@Nikerabbit We are ready for you to help us move forward. You and Siebrand should have access to the repo, and I have provided the details of the two other items you asked in this task's Description. Please let me know if we should provide any other information. Thanks!

Change 294501 had a related patch set uploaded (by Nikerabbit):
Add GapFinder

https://gerrit.wikimedia.org/r/294501

Change 294501 merged by jenkins-bot:
Add GapFinder

https://gerrit.wikimedia.org/r/294501

Tomorrow around 0600 UTC will be next export which will confirm that translatewiki.net setup works.

schana moved this task from in-progress to Done on the GapFinder board.Jun 23 2016, 2:28 PM
leila closed this task as Resolved.Jul 5 2016, 3:37 PM